Bwaggoner
Mechanical
- Apr 9, 2007
- 23
I've written a macro that insterts a hole table as part of a bigger program that I'm working on.
The issue is I want to hide the table after it is inserted but have the origin shown.
I can't seem to find the code to do that.
Below is the code to insert the table any help would be appreciated.
The issue is I want to hide the table after it is inserted but have the origin shown.
I can't seem to find the code to do that.
Below is the code to insert the table any help would be appreciated.
Code:
Sub test_table()
Dim swapp As SldWorks.SldWorks
Dim swView As SldWorks.View
Dim swmodel As SldWorks.ModelDoc2
Dim swselmgr As SldWorks.SelectionMgr
Dim swHoleTable As SldWorks.HoleTableAnnotation
Set swapp = CreateObject("SldWorks.Application")
Set swmodel = swapp.ActiveDoc
Set swselmgr = swmodel.SelectionManager
Set swView = swselmgr.GetSelectedObjectsDrawingView(1)
Set swHoleTable = swView.InsertHoleTable(0, 0.036051, 0.082461, 1, "C:\SolidWorks2008\SolidWorks\lang\english\standard hole table--numbers.sldholtbt")
End Sub